itpp::it_file_base_old Class Reference
Base Module » IT++ File Format

Base class for it_ifile_old and it_file_old. More...

`#include <itpp/base/itfile.h>`

Inheritance diagram for itpp::it_file_base_old:

## Classes

struct | data_header
| Data header structure. More...
struct | file_header
| File header structure. More...

## Static Protected Attributes

static char | file_magic [4] = { 'I', 'T', '+', '+' }
| ACTION: Add documentation.
static char | file_version = 2
| ACTION: Add documentation.

## Detailed Description

Base class for it_ifile_old and it_file_old.

Warning
  This class is deprecated and will be removed in future.

Definition at line 668 of file itfile.h.

The documentation for this class was generated from the following files:

- itpp/base/itfile.h
- itpp/base/itfile.cpp

Generated on Sat Sep 30 2017 07:04:09 for IT++ by Doxygen 1.8.13